summaryrefslogtreecommitdiff
path: root/qa/1013
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/1013
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/1013')
-rwxr-xr-xqa/101331
1 files changed, 31 insertions, 0 deletions
diff --git a/qa/1013 b/qa/1013
new file mode 100755
index 0000000..630adc0
--- /dev/null
+++ b/qa/1013
@@ -0,0 +1,31 @@
+#!/bin/sh
+# PCP QA Test No. 1013
+# Test QmcMetric::formatNumber
+#
+seq=`basename $0`
+echo "QA output created by $seq"
+. ./common.qt
+
+[ -x qt/qmc_format/qmc_format ] || _notrun "qmc_format not built or installed"
+
+status=1 # failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+for i in \
+ 0 \
+ 0.00001 0.0001 0.001 0.01 0.1 1.0 10.0 100.0 1000.0 10000.0 \
+ 1000000.0 10000000.0 100000000.0 1000000000.0 10000000000.0 \
+ 100000000000.0 1000000000000.0 10000000000000.0 \
+ 0.005 0.0051 9.995 9.9951 99.95 99.951 99950.0 99951.0 \
+ 99950000.0 99951000.0 99950000000.0 99951000000.0 \
+ 99950000000000.0 99951000000000.0
+do
+ echo $i | $PCP_AWK_PROG '{printf("%17s = ", $1); }'
+ qt/qmc_format/qmc_format $i
+ echo -$i | $PCP_AWK_PROG '{printf("%17s = ", $1); }'
+ qt/qmc_format/qmc_format -$i
+done
+
+# success, all done
+status=0
+exit